Skip to main content
PATCH
/
api
/
charge_cards
/
{id}
Update a charge card
curl --request PATCH \
  --url https://clarus-api.com/api/charge_cards/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "charge_cards",
    "attributes": {
      "code": "STANDARD",
      "name": "Standard Card"
    }
  }
}
'
{
  "data": {
    "id": "1",
    "type": "charge_cards",
    "attributes": {
      "active": true,
      "code": "STANDARD",
      "description": "Standard billing profile",
      "id": 1,
      "name": "Standard Card"
    }
  }
}

Request Structure

{
  "data": {
    "type": "charge_cards",
    "attributes": {
      "name": "Updated Card Name",
      "active": false
    }
  }
}

Key Fields

FieldRequiredDescription
codeNoUpdate the charge card code
nameNoUpdate the display name
activeNoEnable or disable the charge card
descriptionNoUpdate the description

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Path Parameters

id
integer
required

The unique identifier of the charge card to update

Body

application/json
data
object
required

Response

Charge Card updated successfully

data
object